> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shield information barriers resources

A Shield information barrier in Box defines an ethical wall. An ethical wall is a mechanism that prevents exchanges or communication that could lead to conflicts of interest.

## List of Shield Information Barriers

List of Shield Information Barrier objects.

<Accordion title="Attributes and example">
  | Property      | Type                                                               | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                          | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                           | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `entries`     | array of [Shield information barrier](#shield-information-barrier) | No       | A list of shield information barrier objects.                                                                                                                                          |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "entries": [
      {
        "id": "11446498",
        "type": "shield_information_barrier",
        "enterprise": {
          "id": "1910967",
          "type": "enterprise"
        },
        "status": "draft",
        "created_at": "2020-06-26T18:44:45.869Z",
        "created_by": {
          "id": "11446498",
          "type": "user"
        },
        "updated_at": "2020-07-26T18:44:45.869Z",
        "updated_by": {
          "id": "11446498",
          "type": "user"
        },
        "enabled_at": "2020-07-26T18:44:45.869Z",
        "enabled_by": {
          "id": "11446498",
          "type": "user"
        }
      }
    ]
  }
  ```
</Accordion>

## Shield information barrier

A standard representation of a shield information barrier object.

<Accordion title="Attributes and example">
  | Property     | Type                                                | Required | Description                                                                                                        |
  | ------------ | --------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------ |
  | `id`         | `string`                                            | No       | The unique identifier for the shield information barrier.                                                          |
  | `type`       | `enum<string>`                                      | No       | The type of the shield information barrier. Available options: `shield_information_barrier`.                       |
  | `enterprise` | `Enterprise`                                        | No       | The `type` and `id` of enterprise this barrier is under.                                                           |
  | `status`     | `enum<string>`                                      | No       | Status of the shield information barrier. Available options: `draft`, `pending`, `disabled`, `enabled`, `invalid`. |
  | `created_at` | `string`                                            | No       | ISO date time string when this shield information barrier object was created.                                      |
  | `created_by` | [User (Base)](/reference/users-resources#user-base) | No       | The user who created this shield information barrier.                                                              |
  | `updated_at` | `string`                                            | No       | ISO date time string when this shield information barrier was updated.                                             |
  | `updated_by` | [User (Base)](/reference/users-resources#user-base) | No       | The user that updated this shield information barrier.                                                             |
  | `enabled_at` | `string`                                            | No       | ISO date time string when this shield information barrier was enabled.                                             |
  | `enabled_by` | [User (Base)](/reference/users-resources#user-base) | No       | The user that enabled this shield information barrier.                                                             |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "shield_information_barrier",
    "enterprise": {
      "id": "1910967",
      "type": "enterprise"
    },
    "status": "draft",
    "created_at": "2020-06-26T18:44:45.869Z",
    "created_by": {
      "id": "11446498",
      "type": "user"
    },
    "updated_at": "2020-07-26T18:44:45.869Z",
    "updated_by": {
      "id": "11446498",
      "type": "user"
    },
    "enabled_at": "2020-07-26T18:44:45.869Z",
    "enabled_by": {
      "id": "11446498",
      "type": "user"
    }
  }
  ```
</Accordion>

## Shield information barrier (Base)

A base representation of a shield information barrier object.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                                                  |
  | -------- | -------------- | -------- | -------------------------------------------------------------------------------------------- |
  | `id`     | `string`       | No       | The unique identifier for the shield information barrier.                                    |
  | `type`   | `enum<string>` | No       | The type of the shield information barrier. Available options: `shield_information_barrier`. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "shield_information_barrier"
  }
  ```
</Accordion>
